Bloss Docs

Your referral payouts in a brand

Developers
GET
/creator/brands/{brandId}/referral-payouts

The referral bonuses you earned in this brand for creators who joined with your invite code, newest first. As in Referral Earnings on your dashboard.

Authorization

bearerAuth creator:earnings
headerAuthorizationBearer <token>

Personal access token. Scopes: account:read, creator:read, creator:earnings, managed:read, coach:read, brand:read, creators:read, videos:read, analytics:read, recruitment:read, engagement:read, support:read, integrations:read, payouts:read, funds:read, billing:read.

Scope: creator:earnings

Path Parameters

brandId*string

A brand id from GET /me or GET /creator/brands.

Length1 <= length

Response Body

Success.

application/json
  1. response
data*array<>
curl -X GET 'https://example.com/api/v1/creator/brands/string/referral-payouts'
{  "data": [    {      "id": "string",      "amount": 0,      "status": "pending",      "referredCreator": "string",      "createdAt": "string",      "paidAt": "string"    }  ]}

Was this page helpful?